      PROGRAM TESTCOMMON
      COMMON A(2)
      INTEGER A
      
      A(1) = 3
      A(2) = 4
      CALL CHANGE()
      
      PRINT *, A(1)
      PRINT *, A(2)
      STOP
      END
      
      SUBROUTINE CHANGE()
      COMMON B(2)
      INTEGER B
      
      A(1) = 5
      A(2) = 6
      
      RETURN
      END
      
      